using System.Collections.Generic;

namespace InABox.Core
{
    public static class Modules
    {
        private static readonly List<string> _modules = new List<string>();

        public static string[] All => _modules.ToArray();

        public static void Register(string module)
        {
            if (!_modules.Contains(module))
                _modules.Add(module);
        }
    }
}